Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This question already has an answer here:

Yesterday I just installed the Ubuntu 12.04 for the first time, the problem is that I can't play and of the MP3 files that I have.

I get this error:

Required plugin could not be found Python (v2.7) requires to install plugins to play media files of the following type: MPEG-1 Layer 3 (MP3) decoder

Please help me so I can play the files. Thanks

share|improve this question
    
@bilal You can use VLC to play almost all kink of media files without installing any extra packages. –  Basharat Sial May 7 '12 at 14:53
    
Python isn't missing, all the "codec missing" errors tell you that python requires codecs when the app in question uses python. –  otus Aug 2 '12 at 7:01
add comment

marked as duplicate by Aditya, jrg Jan 2 at 15:05

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

3 Answers

First enable the Multiverse repository.to do that open Software Sources and click on spftware restricted by copyright(multiverse repository)(you can also enable all as i have done)

enter image description here

Then just open the terminal and type
sudo apt-get install ubuntu-restricted-extras

Also as in your case you do not seem to have Python. Install that by typing
sudo apt-get install python
if this does not work then download this package : Python for 32 bit systems

share|improve this answer
    
Thankyou for your suggestion. But when I click on the 'Use this ource' to download it, it give me the following error "Failed to download repository information" and "Check your internet connection" whereas my computer IS connected to the internet. Any solution to this problem? –  Bilal Hakim May 7 '12 at 13:21
    
And this is the error that I get: "Required plugin could not be found Python (v2.7) requires to install plugins to play media files of the following type: MPEG-1 Layer 3 (MP3) decoder" –  Bilal Hakim May 7 '12 at 13:37
add comment

Ubuntu comes with free and open source software by default, so proprietary software, like the software you need to play mp3's, is not included on a fresh install. But you can still install it. Click on the link below, or start the Ubuntu Software Center, from there, install a package called ubuntu-restricted-extras. That should solve your issue.

Install via the software center

Another way to get this done is just to try to play an mp3 file. A plugin search will appear. Click the Install button after the search is completed. This also works.

share|improve this answer
    
Also, you could just open a terminal and type sudo apt-get install ubuntu-restricted-extras. –  wangdw May 7 '12 at 12:27
    
Thankyou for your suggestion. But when I click on the 'Use this ource' to download it, it give me the following error "Failed to download repository information" and "Check your internet connection" whereas my computer IS connected to the internet. Any solution to this problem? –  Bilal Hakim May 7 '12 at 13:21
    
And this is the error that I get: "Required plugin could not be found Python (v2.7) requires to install plugins to play media files of the following type: MPEG-1 Layer 3 (MP3) decoder" –  Bilal Hakim May 7 '12 at 13:37
add comment

I think that you have to change your download server. Python 2.7.3 is already pre-installed in ubuntu 12.04 so it is not python which causes the error but which throws it. And you also mentioned that you have a working internet connection but are nevertheless unable to download the ubuntu-restricted-extras.

So take a look at this page to learn how to change your download server

share|improve this answer
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.